aboutsummaryrefslogtreecommitdiffstats
path: root/community/libsepol
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@alpinelinux.org>2018-12-16 21:02:09 +0000
committerCarlo Landmeter <clandmeter@alpinelinux.org>2018-12-16 21:02:09 +0000
commit8748c10f3feda5ab036620a064826b6242e90d89 (patch)
tree1ddbcb64c42db6fbdc4697dc70c087fd08b3c76c /community/libsepol
parentffb345fd5e1f91b0e82aa379b98acd3e23afd4f9 (diff)
downloadaports-8748c10f3feda5ab036620a064826b6242e90d89.tar.gz
aports-8748c10f3feda5ab036620a064826b6242e90d89.tar.bz2
aports-8748c10f3feda5ab036620a064826b6242e90d89.tar.xz
testing/libsepol: move to community
Diffstat (limited to 'community/libsepol')
-rw-r--r--community/libsepol/APKBUILD28
1 files changed, 28 insertions, 0 deletions
diff --git a/community/libsepol/APKBUILD b/community/libsepol/APKBUILD
new file mode 100644
index 0000000000..d8310350ac
--- /dev/null
+++ b/community/libsepol/APKBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libsepol
+pkgver=2.6
+pkgrel=1
+pkgdesc="SELinux binary policy manipulation library"
+url="https://github.com/SELinuxProject/selinux/wiki"
+arch="all"
+license="LGPL-2.0-or-later"
+depends=""
+depends_dev="bsd-compat-headers"
+makedepends="$depends_dev flex-dev coreutils"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="https://raw.githubusercontent.com/wiki/SELinuxProject/selinux/files/releases/20161014/libsepol-$pkgver.tar.gz
+ "
+builddir="$srcdir/libsepol-$pkgver"
+
+build() {
+ cd "$builddir"
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+sha512sums="17d007857634e3d581fcc9bafcbb75674a06e382bb258c2c6b3656c141d71493699c42b78c8e1917c628476aeb8ead73bb86e8ccf43d7ce59aa0b7884bea132a libsepol-2.6.tar.gz"